Developer Docs
OVERVIEW
RCS
SMS / 2Way SMS API
Number Intelligence
Balance
Contacts
Senders
Lists
Stoplists
Statistics
Get Senders for 2Way SMS
The method allows getting senders for the 2Way SMS service.
To get Senders for 2Way SMS, make a request to this URL:
| GET https://api.bsg.world/rest/sms/2waySenders |
Response parameters:
| Parameter | Type | Description |
|---|---|---|
| id | string | The unique 2Way SMS sender identifier |
| sender | string | 2Way SMS sender name |
| country | string | Recipient’s country (according to ISO 3166-1) |
| status | string | Sender’s status |
| date_created | string | Date of the sender’s registration |
if the request is successful, you will receive a response:
{
"error": 0,
"errorDescription": "No errors",
"senders": [
{
"id": "21",
"sender": "19378620XXX",
"country": "EE",
"status": "active",
"date_created": "2022-04-24 20:48:23"
},
{
"id": "22",
"sender": "447520651XXX",
"country": "GB",
"status": "active",
"date_created": "2022-06-20 15:15:17"
}
]
}
Errors
{
"error": 35,
"errorDescription": "2way_sms service is not active"
}
{
"error": 5,
"errorDescription": "Unknown error"
}
Interested in a special offer?
Ready to reach further?
Let’s talk
Submit